import csv
import os

def lire_un_fichier_csv(data):
    tableau_2D = []
    tab = []
    with open(data, "r") as csv_file:
        csv_reader = csv.reader(csv_file, delimiter=',')
        for ligne in csv_reader:
            tableau_2D.append(ligne)
    for i in range(len(tableau_2D[0])):
        ligne = []
        for j in range(len(tableau_2D)):
            ligne.append(float(tableau_2D[j][i]))
        tab.append(ligne)
    return tab

def lire_fichier_csv(data,fichier):
    resultat=[]
    tableau=[]
    for i in fichier:
        tableau=lire_un_fichier_csv(os.path.join(data,i))
        resultat.append(tableau)
    return resultat